Page MenuHomePhabricator

Enable profile on NetBSD
ClosedPublic

Authored by krytarowski on Aug 10 2017, 7:13 PM.

Details

Summary

make check-profile:

Failing Tests (2):

  Profile-i386 :: instrprof-dlopen.test
  Profile-x86_64 :: instrprof-dlopen.test

Expected Passes    : 64
Unsupported Tests  : 42
Unexpected Failures: 2

Sponsored by <The NetBSD Foundation>

Diff Detail

Repository
rL LLVM

Event Timeline

krytarowski created this revision.Aug 10 2017, 7:13 PM
vsk added a subscriber: vsk.Aug 11 2017, 10:29 AM

What's causing the test failure? Do you plan on XFAIL'ing the test on NetBSD initially?

In D36603#839335, @vsk wrote:

What's causing the test failure? Do you plan on XFAIL'ing the test on NetBSD initially?

Right now I'm upstreaming what works (close to 99% including other sanitizers). Later I will work on the remaining issues (including XFAIL marks) and attaching NetBSD buildbot.

vsk added a comment.Aug 11 2017, 10:45 AM

I think it would be better to XFAIL the test from the onset so that people reading the source are aware of the issue. That way, if for any reason this can't make its way back on your priority list, the build will remain in good shape.

vitalybuka accepted this revision.Aug 11 2017, 10:32 PM
This revision is now accepted and ready to land.Aug 11 2017, 10:32 PM
In D36603#839356, @vsk wrote:

I think it would be better to XFAIL the test from the onset so that people reading the source are aware of the issue. That way, if for any reason this can't make its way back on your priority list, the build will remain in good shape.

This does not affect the build, only one test in both archs.

I will be back to corrections later (at least filing problem reports on bugzilla).

krytarowski closed this revision.Aug 13 2017, 1:19 PM
vsk added a comment.Aug 13 2017, 11:39 PM
In D36603#839356, @vsk wrote:

I think it would be better to XFAIL the test from the onset so that people reading the source are aware of the issue. That way, if for any reason this can't make its way back on your priority list, the build will remain in good shape.

This does not affect the build, only one test in both archs.

By 'the build', I meant the compiler-rt test targets on NetBSD machines. As-is, this patch breaks those test targets, and may bewilder users.

I will be back to corrections later (at least filing problem reports on bugzilla).

If there are known correctness issues with a patch, there's no need to rush it through. Please use more caution. All it takes here is to add an "XFAIL: *netbsd" line to the test.

I've reverted the commit on demand.

I was trying to restore the setup for check-profile after upgrading the sources.. and I hit new failures.

http://www.netbsd.org/~kamil/llvm/check-profile

I have new failures in sanitizers too.. Maybe my SVN checkout was in a faulty revision. For now I will move on and focus on sanitizers.

vsk added a comment.Aug 15 2017, 8:44 AM

I've reverted the commit on demand.

I was trying to restore the setup for check-profile after upgrading the sources.. and I hit new failures.

http://www.netbsd.org/~kamil/llvm/check-profile

I have new failures in sanitizers too.. Maybe my SVN checkout was in a faulty revision. For now I will move on and focus on sanitizers.

If you see these failures again, could you upload the *.profdata files from:
/public/llvm-build/projects/compiler-rt/test/profile/

I can help take a look.

I've compressed the whole directory (for which I had more issues) and uploaded:

http://www.netbsd.org/~kamil/llvm/profile.tar.bz2 1.5MB